Subject: Re: [PATCH v2 2/4] doc: add an UPSTREAM BRANCHES section to pull/push/fetch

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2025 14:48:57 -0700

"Julia Evans" <[email-masked]> writes:

> I'm not comfortable with calling this a "triangular workflow" since

But it has been for a long time known as a "triangular workflow"
already, so it is not like you are in your documentation update
inventing the terminology.  You do not have to feel unconfortable.

And this "each developer may internally use many branches, but at
the public meeting points they share small number of branches (or
just one) that integrate their work" is the most basic form of
triangular workflow.

If you want to exclude all the advanced forms, without specifically
singling out the triangular workflow, you can say "if you are not
using the centralized workflow, and pushing to somewhere other than
where you are fetching from, then do this..." and it would work
fine, I guess.